package com.brilliance.isc.mda.dao;

import com.brilliance.isc.bo.Bopcty;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.Collection;
import java.util.List;
import java.util.Map;

@Mapper
public interface BopctyMapper {

    int insert(Bopcty record);

    int insertSelective(Bopcty record);

    int updateByPrimaryKeySelective(Bopcty record);

    int updateByPrimaryKey(Bopcty record);

    int deleteByPrimaryKey(Bopcty record);

    int deleteByIds(Collection<Object> collection);

    Bopcty selectByPrimaryKey(Bopcty record);

    int dyncDelete(Map<String, Object> dyncMap);

    List<Bopcty> dyncRead(Map<String, Object> dyncMap);

    int insertBopctyData(Bopcty record);

    int updateBopctyData(Bopcty record);

    String findBopctyVerFromInr(String inr);

    int deleteBopctyData(String inr);

    Bopcty queryBopCod(String cod);

    int queryBopCodExist(String cod);

    List<Bopcty> getBopCtyCountryData(@Param("countryCod") String cod);

    List<Bopcty> listAll();

    List<Bopcty> selectByTxtOrFultxt(@Param("fultxt") String fultxt);

    List<Bopcty> listByCod(@Param("cod") String cod);

}